扫一扫,访问微社区

QQ登录

只需一步,快速开始

登录 | 注册 | 找回密码

三维网

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

展开

通知     

全站
2020-06-11
查看: 45343|回复: 255
收起左侧

[原创] autocad二次开发(VBA)就这么简单

[复制链接]
发表于 2007-1-8 14:31:16 | 显示全部楼层 |阅读模式

马上注册,结识高手,享用更多资源,轻松玩转三维网社区。

您需要 登录 才可以下载或查看,没有帐号?注册

x
运行autocad,创建一个新文件,Alt+F11(或者在菜单栏点“工具”→“宏”→“Visual Basic 编辑器”),在新出现的窗口菜单栏点“插入”→“模块”,输入下面的代码:; F2 _7 X. R" U
1 h4 I0 M3 V% }' A+ Q
Sub 我的第一个程序()" Y" y9 h6 B: e1 g3 V6 G8 ]
    Dim 直线1 As AcadLine
$ F. K% T" D8 x    Dim 起点(2) As Double5 k) i. G6 z$ |8 F0 u5 b* ^
    Dim 端点(2) As Double
6 a" F4 t1 t7 W3 d" ~1 ]& T   
) H0 T( v. M* ~4 O! B7 o    起点(0) = 10
0 q4 B2 n9 G- ]# V% x" p0 f    起点(1) = 20! h8 c; m4 D1 ^& R0 V
    端点(0) = 80
0 I' e" L9 B$ R    端点(1) = 1003 s4 d1 H* v' I5 @% c4 ^" n
   
9 |7 v) o1 N5 }. B8 M$ R8 b4 y    Set 直线1 = ThisDrawing.ModelSpace.AddLine(起点, 端点)
: L7 }7 }$ q  U. O' p, w7 uEnd Sub
5 `- \0 Z2 x) n( t5 J( M" i 8 ~$ x/ i# ?0 N6 Q+ H; O2 D
检查一下,确信没有问题后按F55 ]0 U* a4 r7 [' B3 m7 E
回到autocad窗口,看见了吗?一条直线,起点坐标(10,20),端点坐标(80,100). i# I9 s% k* [3 f
: B6 d; Y; Z0 c$ {2 a& f
这个程序的第一行里,“SUB”和“()”是必须有的(人家微软就是这么规定的,我也没办法),“我的第一个程序”是这个程序的名字(如果你不喜欢也可以改个别的名字,我无所谓)。
; \+ i/ o8 W7 q3 n( S( N- X第二行里,“Dim”是定义一个变量,“直线1”是要画的直线的名字(随便改,中英文都行),后面的英文必须有,意思是说:这是一条autocad直线。7 ]2 ~0 V* r( |) r
第三行里,“起点(2)”是一个数组(因为我要用它给直线赋予起点,所以取了个直观的名字,又因为点的坐标是三维的,所以必须用能容纳三个数据的数组),后面的英文意思是“这个数据是双精度类型”。
. K2 w0 ]1 N8 H/ a第四行和第三行差不多,是用来给直线赋予端点的。
7 q; |# _! P% [; S  U/ C第五行和第六行是分别赋值给起点的x和y坐标(因为起点的z坐标是0,而定义这个数组的时候,默认数据就是(0,0,0),所以就不用管z坐标了)。$ o: G( R* I0 F4 v$ r! I+ S' Y
第七行、第八行赋值给端点x和y坐标。- }7 m) ?7 L  b7 e7 v' Z% O
第九行画直线,在“当前文件”的“模型空间”“画直线(按起点和端点)”。
: n8 O! R& }% H3 Q+ D) Z第十行,完事了。
& }: Q% l+ s7 ^8 U7 c$ T ' N/ D9 \: s* J# h: A5 y
有的网友一看见英文,头就会变大。别怕,如果你是用“复制/粘贴”把这段代码拷贝到VB编辑器里,就不会知道autocad有多么友善。试试用键盘把这段代码输入进去,你会发现,每到关键时刻,VBA就会提醒你下面该做什么了。
& S$ A$ _! g% d* k3 `  T7 X6 F别听旁人瞎说autocad这不行、那不行,那是因为autocad的两个万能命令(一个是VBA,一个是lisp)你还没学会。这两个命令你只要学会一个(不用太精通,差不多就行),就没人敢说你不是高手。

评分

参与人数 1三维币 +3 收起 理由
blackbird + 3

查看全部评分

发表于 2007-1-8 18:55:51 | 显示全部楼层
赞成楼主的观点!学习的敌人就是畏惧!
发表于 2007-1-8 20:32:00 | 显示全部楼层
看来真的是比较容易,该找本书看目的地。
发表于 2007-1-9 08:15:02 | 显示全部楼层
既然楼主说这么容易,那我就试试吧
发表于 2007-1-9 08:40:35 | 显示全部楼层
增加我的学习信心,谢谢你啊,楼主
发表于 2007-1-9 08:49:13 | 显示全部楼层
为了更好的利用CAD工具,听从楼主的意见。学习一下干净二次开发知识。
 楼主| 发表于 2007-1-9 10:11:33 | 显示全部楼层
既然有网友对这个话题感兴趣,就再画个圆玩玩。& J$ _( e! L  C5 c; k. o

1 G! k5 R: C4 U& f) `, H0 o1 hSub 画个圆玩玩()
9 M& R  G4 v# q5 |! q  Y    Dim 我真的是圆吗 As AcadCircle0 `2 R8 C* r4 a7 d: J
    Dim 我才是圆心呵呵(2) As Double
" b% C3 d7 ~: U! {+ e    Dim 我是半径我愿意 As Double8 t  g! E) J: w/ V: Q
    我才是圆心呵呵(0) = 27.5555555555556
  F% n8 f6 _+ u& [" x9 O& ^! t2 A4 @    我才是圆心呵呵(1) = 69.123456787981 i8 Y. A: o; {* m
    我是半径我愿意 = 38& o" B' K- N9 X1 A2 ~7 u. C/ @
    Set 我真的是圆吗 = ThisDrawing.ModelSpace.AddCircle(我才是圆心呵呵, 我是半径我愿意)
5 c. C0 d* h8 @+ GEnd Sub  ]  F2 N: ?( |) q4 l# U
/ u: \7 p. H( ?4 T! N2 J
用键盘输入时,第一行输入完程序名直接按回车,不用输入“()”,VBA会替你把括号和最后一行填好的。其它的关键字也用不着每个字母都用键盘敲,自己试。" k, |8 ?9 ]6 J" I8 `* @

0 C( {- h- ]3 a) }" i[ 本帖最后由 woaishuijia 于 2007-1-9 10:20 编辑 ]
发表于 2007-1-9 10:34:14 | 显示全部楼层
还是不会哦- X% V( ?# N: P6 A  R) K
郁闷,有高手教教我吗/?想学学.
发表于 2007-1-13 13:34:57 | 显示全部楼层

我想学cad二次开发

我想学习一下cad的基本的二次开发,不知道哪位高手能交一下我啊  V& N: b3 ]2 G: S+ W) Z3 U% B
我的qq是125720096,谢谢啦
发表于 2007-1-13 21:41:24 | 显示全部楼层
谢谢搂主,真的想在这方面学的深刻一点
 楼主| 发表于 2007-1-14 16:12:29 | 显示全部楼层

AAA

有了autocad基础,学习它的VBA并不难,关键是要找准突破口。下面是根据在下的学习经验编写的一个自认为有代表性的简单程序,只要你按步骤做下来,就会发现你已经进入了VBA的天地。
. c8 T7 V+ K3 Z- F. w# n    首先,在autocad上创建一个新文件,按Alt+F11进入Visual Basic编辑器。8 L) h" a9 V: u) Y1 D
    下面这项工作是我强烈建议你做的:在菜单栏点“工具”→“选项”,在选项窗口选中“要求变量声明”--这可以减少我们的低级错误。* P; @* Z3 g1 u$ Q3 P
    下面开始编写我们的第一个VBA程序:让VBA在autocad的模型空间按我们指定的位置画一条直线。3 g' s+ I9 ]1 C- ^( W8 ]5 }9 k
    在编辑器的菜单栏点“插入”→“模块”,屏幕上出现了“模块1(代码)”窗口。在代码窗口的第一行是“Option Explicit”--如果你按我的建议在选项窗口选中了“要求变量声明”的话--在它的下面输入“sub A”,回车。窗口出现下面的代码:
9 z- C$ O# P, t! ^% R' p) M5 E, M; n  c" R# J
Sub A(). j+ ?1 d  {0 ]- J# ?; R/ l

- d" I/ C0 N" q' rEnd Sub  Q: ^& B. W0 C6 m( j; ~) w

$ Y$ r" X, }& f" L: g' L# z% I    “A”是这个宏的名字。你可以按自己的喜好随便给它取个什么名字,但必须是唯一的,因为它是这段程序的标志。取名字时最好不要用汉字,因为autocad的命令行不支持汉字参数,如果用了汉字,每次运行这段程序的时候就必须使用“宏”对话框,而不能使用命令行。6 q& n* }: g. i& r% s) w
    在两行代码中间的空行键入“thisdrawing.”,屏幕上会出现一个提示窗口--后面的代码可以在这里面选择,而不是所有文本都靠键盘输入--继续键入“m”,提示窗口高亮显示的是“ModelSpace”--我们要的就是它。继续键入“.”,“ModelSpace.”自动进入了代码行,并且出现了一个新的提示窗口;继续键入“addlin”,提示窗口高亮显示的是“AddLine”,键入空格,它就自动上去了,而屏幕上又出现了一个提示行“AddLine(startpoint,endpoint)as acadline”,其中“startpoint”用粗体显示,这是在提示我们给出直线的起点。继续按下面的顺序键入字符“thisdrawing.ut.getp,thisdrawing.ut.getp”--VBA会像前面一样把我们的代码补全--再敲一下空格,整段代码就是现在这个样子:
3 f% _6 U+ H+ }4 N3 D1 c) j
7 c* q  K+ q3 J7 Q+ ISub A()
7 ?3 S+ J$ _% X+ {! C    ThisDrawing.ModelSpace.AddLine ThisDrawing.Utility.GetPoint, ThisDrawing.Utility.GetPoint! K; w2 H0 Z' W* S# W1 L3 k
End Sub
" t+ k! F% a3 O- o
; w2 C! f5 N# s8 w6 B) d. H
    这行代码中,“ThisDrawing.ModelSpace.AddLine”的意思是:在“当前文档”的“模型空间”“画直线”。这个画直线方法需要两个必不可少的参数,一个是起点三维坐标,另一个是端点三维坐标。在这行里,起、端点的坐标是由后面两部分代码提供的--“ThisDrawing.Utility.GetPoint”的意思是:在“当前文档”上“由用户输入”而“得到点坐标”。" X) X* E" W+ U% n2 @2 n: Y' m
    我们的第一个宏已经完成了,现在回到autocad窗口运行一下:
5 F3 [4 H, V- F3 U/ n    在命令行键入“-vbarun”,回车,再键入"a",回车。光标已经变成了十字线,autocad在等着我们指定点。在屏幕上不同的位置点两下(也可以在命令行输入坐标),一条直线就画好了。
5 q( d+ u* R  M9 n' J# S) v& B    我们的第一个程序编写成功。
# x$ e  Q! j4 N; Q( C$ e    不过别高兴得太早,这段程序有个BUG:再运行一次程序,指定第一个点后别指定第二个点,而是按“Esc”键,会跳出来一个窗口告诉我们程序有错误。0 j& Q6 b: x$ J+ ?, S
    按“结束”关闭这个窗口,回到VBA编辑器,在程序中添加两行代码,让它变成现在这个样子。  m. r5 p2 F/ M& x# ?! q
9 [- A7 m! L$ }# `4 c; O
Sub A()
+ |: b1 |8 |% c* l5 p' Q& u8 dOn Error GoTo 10
/ {0 S8 U( W4 I  m4 n& F7 H, |
    ThisDrawing.ModelSpace.AddLine ThisDrawing.Utility.GetPoint, ThisDrawing.Utility.GetPoint
5 R: W1 r0 R8 k- D: V10' j5 O5 u# r% k2 Y6 ?* r- E. a2 Z. f
End Sub
+ p2 i8 U4 w8 n# F; J, Z: W' U3 a& }% j
    这两行新增的代码告诉计算机“在出错时”“转向执行”“行号为10”的程序行。这个程序里“行号为10”的程序行是空行,程序就会继续向下执行“End Sub”结束程序。  O- u: W; w/ l+ d7 c( ~: M; Z
    再来告诉朋友们一个小技巧。刚才在键入代码时要键入三次“thisdrawing”,太麻烦了。现在把中间这行画直线的程序删掉,在原位置按照下面的方法重新输入:4 o- v4 `* p! M, k' e  f! M
    键入“with thisdrawing”,两次回车,键入“end with”。在中间的空行按下面的顺序键入“.m.addlin .ut.getp,.ut.getp”,空格。代码现在是这个样子:( A2 m- Y. F7 F: ^! c5 P
! {$ w5 j: [% m- i- Y
Sub A()( |  O) X9 M7 m
On Error GoTo 10+ L% K) c5 w! Z$ B3 S( B
    With ThisDrawing
- m* {. \: V8 S, b) O$ n        .ModelSpace.AddLine .Utility.GetPoint, .Utility.GetPoint0 h; ]/ u2 y6 d. {- Q  `8 p
    End With

# |1 Y7 c7 i5 C( }, @; S10
8 ?) h9 ]' S; f; ~End Sub
, |, y. X( ~/ P1 `& w% t0 c% I1 M8 q0 v
    在“With”和“End With”两行之间的所有代码可以省掉“ThisDrawing”,键入的工作量减少了很多。, d" M5 a+ N! b8 s3 i! h5 c, |0 }( c
    程序是能用了,但还不够完美。比如说:指定第二个点时看不到第一个点在哪里;命令行里没有提示,不知道下一步要做什么。
( B, Z0 g- A" |/ S+ Z' b7 _( R    现在来改进一下程序,让它在指定第二个点时从第一个点处引出一条线,像autocad画线时一样,还要在命令行加上提示内容。5 N( Q! w5 Y/ g2 D) D
    在上面的程序里,两个点的位置只有画线命令知道,我们并不知道。如果要在程序中不止一次使用这个点的坐标,就必须把这个坐标放到一个地方存放起来,用到的时候就去取。8 t* y/ o; }$ P+ F
    在上面的程序中补充、修改一些代码,让它变成这个样子:; W; g) V! P8 ~- b
+ g* R0 w/ |) r
Sub A()2 q" J  D/ k* F/ [
On Error GoTo 10
# h, K; p, e' g    Dim B As Variant. D* F' A% p6 o! S; G
    With ThisDrawing
* ^# x/ x/ I! `$ f7 W        B = .Utility.GetPoint(, vbCrLf & "指定起点:")
* k1 o: l- A6 o        .ModelSpace.AddLine B, .Utility.GetPoint(B, vbCrLf & "指定端点:")
: J7 _8 _( R, X  ?* E' @; |    End With( e% m! a! I% [* v& {" X
10
! _$ m, ?9 Y8 e& Z2 REnd Sub
' h' U4 j+ o. v( t' N9 _& l' t& @. t
) V" d7 K" l# ?' e; M& `" D    新增加的第三行意思是:定义一个“变体”类型(相当于万能)变量,名字叫“B”--其实这就是一个存放数据的地址。9 S- Q8 k; i- f+ ]
    第五行的意思是把“当前文档”上“由用户输入”而“得到点的三维坐标”存放到“B”。有一个变化,就是“GetPoint”(得到点坐标)的后面增加了一对括号,里面是参数。该方法共有两个参数:第一个参数是一个三维坐标,第二个参数是命令行提示符。两个参数都是可省略的,在前面的程序中这两个参数就被省略了。9 f3 _* T9 s" O" [6 e8 e
    第六行中,画直线方法的起点坐标直接用“B”,端点坐标还是使用得到点坐标方法,和前面不同的是得到点坐标方法的第一个参数被指定为“B”,它的作用是在“B”点和十字光标间显示一条提示性的直线。
2 u% ]; o2 }/ G8 A8 A9 m! B    字符串要用""括起来,让计算机知道这是一串字符而不是别的东西。字符串前面的“vbCrLf &”是这个字符串的另一部分。其中“vbCrLf”是一个VB常数,相当于“回车+换行”;“&”是连接符,用来把两个部分连接起来(也可以用“+”号)。提示符中有了“vbCrLf &”,该字符串就会在命令行中以单独的一行出现;如果把它去掉,提示符就会和“命令:”在同一行里显示。/ p8 h5 T0 _0 z  [  O
    在这段程序里,我们用到了错误陷阱、定义变量、赋值语句、操作autocad对象画直线的方法和一个VB常数。下面再把这个程序扩展一下,学习更多的VB语句和对象操作方法。
9 q4 f" J6 S6 l4 ~- H. V3 A    按用户的指令决定是否画一个圆,这个圆以刚才画的直线中点为圆心、以直线长度为直径。+ L2 h' l+ E# N" R
    下面是修改后的代码:
0 u0 ?  r0 l$ M9 n$ ^9 r0 J, c+ Q5 O% ^2 n9 w$ g  j
Sub A()& M; O$ w7 ~3 Z, D, R4 x' ~/ h) V% D
On Error GoTo 10% r4 R9 Z# u  w3 e
    Dim B As Variant '定义一个变体类型变量,用于存放直线起点坐标,被赋值后变为数组" ]8 l/ b) S  y4 u1 T" g: L7 Z
    Dim C As AcadLine '定义一个Acad直线对象类型变量,用于存放直线对象
2 k1 s! R! d" t( d9 @    Dim D As Variant '定义一个变体类型变量,用于存放直线端点坐标,被赋值后变为数组- t, Z3 U) N* t, |
    Dim E As String '定义一个字符串类型变量,用于接收用户键盘输入的参数: ]- ?! w6 k  j" A% I# ?
    Dim F(2) As Double '定义一个双精度类型数组,用于存放圆心三维坐标
: X3 t6 V6 i8 s2 Q& h9 k    Dim R As Double '定义一个双精度类型变量,用于存放圆的半径* A6 f9 F, k& Y: F+ ?( T
    . b* \+ ^8 d: x6 X
    With ThisDrawing4 ~0 ?- N4 n  c3 p! `
        B = .Utility.GetPoint(, vbCrLf + "指定起点:") '由用户指定一个点的位置,将坐标赋值给B
* x. N. m6 [: N& j/ }/ ]        Set C = .ModelSpace.AddLine(B, .Utility.GetPoint(B, vbCrLf + "指定端点:")) '从上一个点出发,由用户指定另一个点的位置,在两点间画一条直线,将此直线赋值给C
! p9 \4 E; _3 h( }0 Q) C0 i* w% O
        D = C.EndPoint '将直线C的端点坐标赋值给D" X5 P: [/ Q; Q! R
        .Utility.InitializeUserInput 0, "Y N" '规定用户输入Y或N关键字,可以接受直接按回车键或空格键做为默认输入7 g  l5 X$ M2 N2 R  N+ ~
        E = .Utility.GetKeyword(vbCrLf & "是否画圆[是(Y)/否(N)]<Y>:") '得到用户输入的关键字并赋值给E
$ D; u& ?: Z) I1 G0 q# u        If E = "Y" Or E = "" Then '如果用户输入的是Y或直接按的回车或空格,则执行下面画圆的代码,否则跳过下面五行代码$ V, o3 S5 V+ k: k! i
            F(0) = (B(0) + D(0)) / 2 '这三行是计算圆心即直线中点坐标,取直线起点X坐标和端点X坐标的平均值赋值给圆心的X坐标变量
4 u# s* o6 E: x
            F(1) = (B(1) + D(1)) / 2 '取直线起点Y坐标和端点Y坐标的平均值赋值给圆心的Y坐标变量- B! _+ S" h1 y- G; q* t: I+ a/ ?
            F(2) = (B(2) + D(2)) / 2 '取直线起点Z坐标和端点Z坐标的平均值赋值给圆心的Z坐标变量
  r* _/ X- Y- Y            R = Sqr((D(0) - B(0)) ^ 2 + (D(1) - B(1)) ^ 2 + (D(2) - B(2)) ^ 2) / 2 '用勾股定理计算圆的半径
/ y8 i9 |! Y) l% @& L5 K            .ModelSpace.AddCircle F, R '在当前文档的模型空间画圆,以F为圆心,R为半径
+ U$ m7 ~" o) B7 D/ Z$ l" |        End If) j; R6 h' ~! N, H
    End With
# V. J, t6 M6 S10
( h7 e) j$ o9 L: C9 H8 A. R$ ZEnd Sub, T, r9 I2 R( L% |- u
2 T/ ]9 x* G% _
    这段程序和前面程序的主要区别有:) \/ T# C% H. _7 |9 j; O; x
1、使用了注释语句。单引号后面的文字在程序运行时不被执行,仅起到对编程者的提示作用。这在编制大一点的程序时是很有用的,否则过段时间你自己都会忘记当初是怎么编的了。
2 ?0 F& [4 Q! n/ O2、定义变量时,同样是三维坐标,B和D被定义为变体类型,F被定义为双精度数组。这是因为B和D是由方法或对象的属性直接用“点”赋值的,B和D得到数据后自动变为数组;F是由我们对三维坐标分别运算后赋值,只能用数组。
: X9 a  |; \  N0 H! Q! f2 w" H" R2 r3、“Set C =...."这行,对直线赋值时,参数用括号括起来了。在前面的程序中,直线只是画了出来,并没有赋值给某个变量(没有=号),参数就不能用括号;现在它被赋值给一个变量了,参数要括起来。这是语法。
8 E1 N) _) A5 a0 w" w8 g1 }$ J4、“InitializeUserInput”方法有两个参数,第二个参数是关键字列表;第一个参数是对输入方式的限制,这里用了0,可以接受直接按回车键或空格键做为默认输入,但默认输入的是空字符串,而不是关键字列表中的一个。/ r" x* ~, y! S- c
5、“If...Then...End If”使用了条件转移语句。具体用法可以参见VB资料。
8 b3 ]' \% E/ L. T# V    弄懂了这段程序,其实你对VBA已经初窥门径了。当然,VB语法和autocad对象远不止这些,但也都大同小异,学会了这些,再学其它的就容易了,就像我们学会了WORD,再学EXCEL就很容易一样。不要被VBA帮助文件那浩如烟海的资料所吓倒,其实那里面绝大部分东西用法都差不多。学会了基本的几个,再浏览一下帮助文件,知道这里面都有什么东西,用到的时候现查都来得及。. P; e# \$ U3 H
    上传一个《Visual Basic 语言参考-函数速查》,希望对学习VBA的朋友有用。, S7 s: R0 }# I. c

: b0 u% ~/ b% v8 Z- G2 N1 |8 j[ 本帖最后由 woaishuijia 于 2007-1-14 16:17 编辑 ]

Visual Basic 语言参考-函数速查.rar

498.79 KB, 下载次数: 1235

评分

参与人数 1三维币 +10 收起 理由
★新手★ + 10 技术分享!奖!

查看全部评分

发表于 2007-1-14 21:54:37 | 显示全部楼层

楼主真是历害

偶也CAD几年了啊,对这是一巧不通啊,真是惭愧啊,楼主能指点下吗?万分感谢啊
发表于 2007-2-1 17:43:03 | 显示全部楼层
非常感谢,学习学习,想完了做几个程序试试
发表于 2007-2-2 19:14:28 | 显示全部楼层
我的宏里怎么一片空白啊  没有Visual Basic 编辑器
 楼主| 发表于 2007-2-3 06:32:18 | 显示全部楼层

回复 #14 shaoshuai968 的帖子

可能安装autocad时用的是“简单”模式,没有选择安装VBA编辑器吧?用安装盘添加试试。
发表于 2007-2-6 17:57:13 | 显示全部楼层

試著用VB.NET來二次開發吧!

真的!速度會讓你感動。
发表于 2007-2-15 10:02:52 | 显示全部楼层
看来论坛里面是强手如云啊,以前我还自认为自己的水准还可以的,现在看来差远了!!
发表于 2007-2-20 03:13:17 | 显示全部楼层
能不能开辟一个二次开发的专栏?
发表于 2007-2-20 10:29:15 | 显示全部楼层
楼主真是有心,深入浅出地引导大家对VBA和LISP的兴趣,不久,我们坛子一定会出现好多高手了,这样也就能提高我们的工作效率,远一点地说就能提高我们国民的水平。多有楼主这样的人,我们国家早晚都会成为世界的强国。
5 {$ C) _$ x# ^: _
发表于 2007-7-15 15:16:34 | 显示全部楼层
vba对我来说实在是很难,难的是不知道从哪里下手啊?
  ?( T' w1 D$ s% m6 N) z) t请高手指点~
发表于 2007-7-17 21:11:18 | 显示全部楼层
由简到难嘛
发表于 2007-7-18 08:49:53 | 显示全部楼层
嘿嘿,偶也正在学习.如果开一个二次开发的子板块就好了.
发表于 2007-7-18 08:59:45 | 显示全部楼层
为什么我打开以后插入菜单下为灰色,不能使用呢?
11.jpg
发表于 2007-7-18 15:40:08 | 显示全部楼层

题目不错,我看不简单.

题目不错,我看不简单.要达到实际应用更不简单!$ U5 f+ M1 _- q- J( {6 }0 V. l8 ^
* G9 X2 u5 Q* p+ @. H4 v
而软件开发更注重的应该是实际应用!
发表于 2007-7-21 13:20:29 | 显示全部楼层
嘻嘻哈哈,现在是.NET的时代了,VB,C++都已经升级了,VISUAL STUDIO 的开发环境是非常棒的
发表回复
您需要登录后才可以回帖 登录 | 注册

本版积分规则



Licensed Copyright © 2016-2020 http://www.3dportal.cn/ All Rights Reserved 京 ICP备13008828号

小黑屋|手机版|Archiver|三维网 ( 京ICP备13008828号 )

快速回复 返回顶部 返回列表